The Alternative Csound Reference Manual
Previous |  | Next

# midictrl

midictrl -- Get the current value (0-127) of a specified MIDI controller.

## Description

Get the current value (0-127) of a specified MIDI controller.

## Syntax

ival midictrl inum [, imin] [, imax]

kval midictrl inum [, imin] [, imax]

## Initialization

inum -- MIDI controller number (0-127)

imin, imax -- set minimum and maximum limits on values obtained.

## Performance

Get the current value (0-127) of a specified MIDI controller.

## See Also

aftouch, ampmidi, cpsmidi, cpsmidib, notnum, octmidi, octmidib, pchbend, pchmidi, pchmidib, veloc

## Credits

Author: Barry L. Vercoe - Mike Berry
MIT - Mills
May 1997

Thanks goes to Rasmus Ekman for pointing out the correct MIDI channel and controller number ranges.

Previous | Home | Next
midicontrolchange | Up | mididefault